Latest News: (loading..)
Sign in to follow this  
Followers 0
Skyler

failed to open stream: No such file or directory

12 posts in this topic

I have OSC version oscommerce-2.2ms2-060817 installe with languagepack Dutch (NL_Taalpakket_v1.4.9_1_2)

I can use the Admninistration Tool without trouble (and in Dutch).

 

When i want to start the Catalog i get the error's:

 

Warning: main(includes/languages/Dutch.php) [function.main]: failed to open stream: No such file or directory in (path) ../catalog/includes/application_top.php on line 285

 

Warning: main(includes/languages/Dutch.php) [function.main]: failed to open stream: No such file or directory in (path) ../catalog/includes/application_top.php on line 285

 

Fatal error: main() [function.require]: Failed opening required 'includes/languages/Dutch.php' (include_path='.:/usr/local/lib/php') in (path) ../catalog/includes/application_top.php on line 285

 

I already renamed the file in the named path to Dutch.php instead of dutch.php but i get the same result

 

Can anyone tell me what im doing wrong?

Share this post


Link to post
Share on other sites

check to see if you have this file in your store root directory

 

includes/languages/Dutch.php

 

if it is there check if the first letter is upper case or lower case

Share this post


Link to post
Share on other sites
check to see if you have this file in your store root directory

 

includes/languages/Dutch.php

 

if it is there check if the first letter is upper case or lower case

 

 

 

tnx 4 the reply

 

The file is there and already renamed it (see last line in original message)

 

Anyone more or other idea's?

Share this post


Link to post
Share on other sites

Check to see if you host has allowed fopen in your php.ini config file. Ask them to add the line:

 

allow_url_fopen = On

 

Hope it works for you.

Share this post


Link to post
Share on other sites

I had the exact same problem with language installation, and it`s also the same osCommerce version. I checked the php.ini file and the setting is `allow url fopen = On`, so I guess that`s not a problem. Can anyone, please, tell me how you fixed it?

Share this post


Link to post
Share on other sites

I am baffled and know that someone has the answer to this issue:

 

I get the following:

 

 

Warning: main(includes/languages/.php): failed to open stream: No such file or directory in /home/content/b/t/s/btsGB07/html/catalog/includes/application_top.php on line 285

 

Warning: main(includes/languages/.php): failed to open stream: No such file or directory in /home/content/b/t/s/btsGB07/html/catalog/includes/application_top.php on line 285

 

Fatal error: main(): Failed opening required 'includes/languages/.php' (include_path='.:/usr/local/lib/php') in /home/content/b/t/s/btsGB07/html/catalog/includes/application_top.php on line 285

 

 

[i suspect that my client 'disabled' the (all) language in the admin. I set english back up but it didn't change anything]

 

Any help would be... well helpful.

 

Thanks

Share this post


Link to post
Share on other sites

i have the same problem with my site when i install oscommerce....

i find the problem in php.ini

i edited the file and it is disponible at www.mongelluzzihoreca.com/php.ini

good luck

Share this post


Link to post
Share on other sites

I've just come up against the same problem moving my previously working OS Commerce V2.2 MS2 site to a new server with PHP5.

 

Turned out that I needed to turn register_globals on in the php.ini file.

 

Having applied all of the changes to V2.2 MS2 I could find as part of my server move work (Updates 051112, 051113 & 060817) I'd been hoping that the need to turn on register_globals was no more, but can anyone tell me if this is still a normal requirement for os commerce?

Edited by adam@ibexuk.com

Share this post


Link to post
Share on other sites
I've just come up against the same problem moving my previously working OS Commerce V2.2 MS2 site to a new server with PHP5.

 

Turned out that I needed to turn register_globals on in the php.ini file.

 

Having applied all of the changes to V2.2 MS2 I could find as part of my server move work (Updates 051112, 051113 & 060817) I'd been hoping that the need to turn on register_globals was no more, but can anyone tell me if this is still a normal requirement for os commerce?

 

Please ignore my question about the need to turn on register_globals. I've now seen that I can acheive this is if I upgrade my site to V2.2 RC1.

Share this post


Link to post
Share on other sites

I am baffled and know that someone has the answer to this issue:

 

I get the following:

 

 

Warning: main(includes/languages/.php): failed to open stream: No such file or directory in /home/content/b/t/s/btsGB07/html/catalog/includes/application_top.php on line 285

 

Warning: main(includes/languages/.php): failed to open stream: No such file or directory in /home/content/b/t/s/btsGB07/html/catalog/includes/application_top.php on line 285

 

Fatal error: main(): Failed opening required 'includes/languages/.php' (include_path='.:/usr/local/lib/php') in /home/content/b/t/s/btsGB07/html/catalog/includes/application_top.php on line 285

 

 

[i suspect that my client 'disabled' the (all) language in the admin. I set english back up but it didn't change anything]

 

Any help would be... well helpful.

 

Thanks

 

Were you able to get this issue resolved?

Share this post


Link to post
Share on other sites

i have the same problem with my site when i install oscommerce....

i find the problem in php.ini

i edited the file and it is disponible at www.mongelluzzihoreca.com/php.ini

good luck

 

I am not able to access that php.ini file that you have... are you able to make is accessible please?

Share this post


Link to post
Share on other sites

hello friends

 

I am getting this error in my website all the time when I try to upload any theme.

 

Warning: require(/home/ytubeclu/public_html/wp-content/themes/magiting-blue/functions/option.php) [function.require]: failed to open stream: No such file or directory in /home/ytubeclu/public_html/wp-content/themes/magiting-blue/magiting-blue/functions.php on line 18

 

Fatal error: require() [function.require]: Failed opening required '/home/ytubeclu/public_html/wp-content/themes/magiting-blue/functions/option.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/ytubeclu/public_html/wp-content/themes/magiting-blue/magiting-blue/functions.php on line 18

 

Please help me friends

thanks in advance.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0